Subject: [RFC] adp1653: Add device tree bindings for LED controller

From: [email-masked] (Pavel Machek)
Date: Tue, 18 Nov 2014 19:35:45 +0100

On Mon 2014-11-17 07:06:17, Tony Lindgren wrote:
> * Pali Roh?r <[email-masked]> [141117 07:03]:
> > On Monday 17 November 2014 15:55:46 Tony Lindgren wrote:
> > > 
> > > There's nothing stopping us from initializing the camera code
> > > from pdata-quirks.c for now to keep it working. Certainly the
> > > binding should be added to the driver, but that removes a
> > > dependency to the legacy booting mode if things are otherwise
> > > working.
> > 
> > Tony, legacy board code for n900 is not in mainline tree. And 
> > that omap3 camera subsystem for n900 is broken since 3.5 
> > kernel... (both Front and Back camera on n900 show only green 
> > picture).
> 
> I'm still seeing the legacy board code for n900 in mainline tree :)
> It's deprecated, but still there.
> 
> Are you maybe talking about some other piece of platform_data that's
> no longer in the mainline kernel?
> 
> No idea what might be wrong with the camera though.

Camera support for main and secondary cameras was never mainline, AFAICT.

Merging it will not be easy, as it lacks DT support... and was broken
for long time.

Anyway, flash is kind of important for me, since it makes phone useful
as backup light; and it is simple piece of hw, so I intend to keep it
useful.

       	       	   	    	      	      	  		     Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html